Subject: Re: [bug#40373] [PATCH] guix: new command "guix run-script"

From: zimoun <[email-masked]>
Date: Thu, 30 Apr 2020 14:42:33 +0200

Hi Konrad,

On Wed, 29 Apr 2020 at 18:04, Konrad Hinsen <[email-masked]> wrote:

> That's very clever! The weak spot is the P, as script evaluation does
> not print anything. We could make it print the script's return code ;-)

Hum? The usual REPL neither. :-)
Quoting Wikipedia: "print function takes the result yielded by eval"
but from my understanding 'eval' does not always yield a "printable"
result, e.g., "(define foo 42)".

Cheers,
simon